Hi Guest 1 HomePage 1 Jobs 1 WalkIn 1Articles  

 :) Latest Topic
AJAX
VB.NET
SQL Query
UDDI
CLASS
JAVASCRIPT
SharePoint Interview
SilverLight
WCF
general knowledge
 ASP.NET
 :) Hot Jobs
 :) Latest Articles
 


  

 
Some thing about Package Management with Bower
Classified Posted on 05 Dec 2018

Home >> Test and Papers >> Bower >> Some thing about Package Management with Bower



Below are some important question about the Bower
Bower is web package manager which is widely used by the front end developers to maintain the packages needed for the web application.

(1)what happens if the following is executed ?
bower install jquery --save-dev
(i)Will fail since the save-dev option is invalid
(ii)Will install jquery and add to bower.json dependencies
(iii)Will install jquery and add to bower.json devDependencies

(2)Bower was introduced by engineers at:
(i)Twitterd
(ii)Google
(iii)FaceBook
(iv)LinkedIn

(3)This will act as a type of documentation because it describes the expected behavior of the functions and modules.
(i)BlackBox Testing
(ii)Unit Testing
(iii)Integration Testing
(iv)E2E testing


(4)Bower can be used as a package manager for both server side and client side applications.
(i)False
(ii)True

(5)You have added a new dependency some time in the middle of the project. How do you get this new dependency shared across with everyone in the team
(i)Use commit option. This gets committed to the repository
(ii)Use --save option. The dependency gets added to the .json file which can be distributed to others
(iii)Use cache list to reproduce the new dependency to others

(6)Your bower.json file shows the dependency as "angular": "angularjs#~1.2.26"
Assuming you have ONLY following 5 valid versions available for angular, what would be the latest version that gets installed when you execute "bower update"? Angular 1.0.8, Angular 1.2.9, Angular 1.6.2, Angular 1.5.11, Angular 1.3.3
(i)Angular 1.0.8
(ii)Angular 1.6.2
(iii)Angular 1.3.3
(iv)Angular 1.2.9
(v)Angular 1.5.11

(7)Your project uses angular 1.2.26. However you would like to override this version for specific needs with angular 1.3. Which option in the bower.json file allows you to use to do so?
(i)"angular": "angularjs#~1.2.26"
(ii)"angular": "angularjs#*1.2.26"
(iii)"angular": "angularjs#^1.2.26"

(8)Below code is used to install protractor
npm install -g protractor with jasmine
(i)Grunt
(ii)Globally

(9)Grunt runs tasks using Temporary files which are disk I/O operations.
(i)True
(ii)False

(10)When the dependencies are added through bower, how do you refer them in your HTML / CSS etc. code?
(i)Provide the path of the dependency from Git
(ii)Execute 'bower path' and pick the path of the dependencies for inclusion
(iii)Execute 'bower list -path' and pick the path of the dependencies for inclusion

(11)Where are the added dependencies stored by bower?
(i)bower_components
(ii)package.json
(iii)Project Dependency folder

(12)Can multiple dependencies be installed or uninstalled?
(i)No
(ii)Yes

(13)When does bower.json get created?
(i)When a dependency is installed, both bower_components and bower.json get created
(ii)When bower is installed, bower.json automatically gets created
(iii)bower.json gets created when 'bower init' is run

(14)How do you get the latest version of the dependencies as per the json file installed?
(i)Use bower update
(ii)Execute "bower update all"
(iii)Execute "bower update"

(15)Protractor is built on top of
(i)E2EJS
(ii)TestDriverJS
(iii)TesterJS
(iv)WebDriverJS

Answer:-
1 -(ii)
2- (i)
3-(iii)
4- (i) False
5-(ii)
6 -(iv)
7-(iii)
8-(ii)
9-(ii)
10-(iii)
11-(i)
12- (ii)
13-(iii)
14-(iii)
15-(iv)

 
Top Searches:asp net questions vb net questions sql query uddl questions class javascript sharepoint interview questions and concept silverlight questions and concept wcf questions beans general knowledge ajax questions
PHP | Biztalk | Testing | SAP | HR |